<template>
  <div class="page">
    <topBar
      v-if="topList.length > 0"
      :top-list="topList"
      :moren="moren"
    />
    <div class="main">
      <div class="maintable">
        <el-table
          :data="tableData"
          style="width: 100%"
          :header-cell-style="{ background: '#EEEEEE' }"
          :row-class-name="tableRowClassName"
        >
          <el-table-column width="200px" align="center" prop="awardsName" :label="'真实奖衔'" />
          <el-table-column align="center" prop="globalIntegral" :label="'环球比例' +'(%)'">
            <template slot-scope="scope">
              <el-input v-model="scope.row.globalIntegral" clearable :disabled="ifupdate" />
            </template>
          </el-table-column>
        </el-table>
      </div>
    </div>
    <div class="footer">
      <div style="margin: 0 auto">
        <el-button class="thebtn btn1" @click="ifupdate=false">{{ '修改' }}</el-button>
        <el-button class="thebtn btn2" @click="savedate">{{ '保存' }}</el-button>
      </div>
    </div>
  </div>
</template>

<script>
import topBar from '@/components/topBar'
import { getintegralList, updategLobalIntegral } from '@/api/bonus'
import { mixin } from './mixins'
export default {
  name: 'Hqjf',
  components: {
    topBar
  },
  mixins: [mixin],
  data() {
    return {
      moren: 'hqjf',
      tableData: [],
      ifupdate: true
    }
  },
  created() {
    this.getintegralList()
  },
  methods: {
    getintegralList() {
      getintegralList().then(res => {
        this.tableData = res.rows
      })
    },
    // 保存
    savedate() {
      this.ifupdate = true
      updategLobalIntegral({ lobalIntegralList: this.tableData }).then(res => {
        if (res.code == 200) {
          this.$message({
            message: res.msg,
            type: 'success'
          })
        } else {
          this.$message({
            message: res.msg,
            type: 'warning'
          })
        }
        this.getintegralList()
      })
    },
    tableRowClassName({ row, rowIndex }) {
      if (rowIndex % 2 == 1) {
        return 'warning-row'
      } else if (rowIndex % 2 == 0) {
        return 'success-row'
      }
      return ''
    }
  }
}
</script>

<style lang="scss" scoped>
::v-deep .el-table thead {
  color: #000000;
}
::v-deep .el-table .warning-row {
  background: #f9f9f9;
}

::v-deep .el-input__inner{
  width: 12%!important;
}

::v-deep .el-table .success-row {
  background: #ffffff;
}
.page {
  padding: 20px;
  background: #f9f9f9;
  font-size: 14px;
  .main {
    background: #ffffff;
    border-radius: 8px;
    box-shadow: 0px 2px 20px 0px rgba(238, 238, 238, 0.5);
  }
  .footer {
    display: flex;
    margin-top: 20px;
    .thebtn {
      width: 120px;
      height: 48px;
      color: #ffffff;
      font-size: 14px;
      font-weight: bold;
    }
    .btn1 {
      background: #4391fd;
      margin-right: 80px;
    }
    .btn2 {
      background: #ffad41;
    }
  }
}
</style>
